#1920 closed defect (fixed)

sparc64: memory mapping fixes

Reported by: Gedare Bloom Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This patch fixes BSP memory to support more than 4 MB of RAM. We manually install (identity) TLB mappings and do not support MMU traps. In the future I would look to refactor the manual entries into a more generic trap-based solution. This patch installs enough mappings for 12MB of RAM and makes adjustments to the linkcmds to reflect what is available. A fix is made to install the TLB mappings before the stack is accessed so that if it is located at a high address it will be mapped. This patch also corrects the layout of memory so that the workspace does not overlap with the heap.

Attachments (2)

sparc64-memory.diff (4.6 KB) - added by Gedare Bloom on Sep 20, 2011 at 4:08:20 PM.
Fix BSP to support more than 4 MB of RAM.
sparc64-memory.ChangeLog (280 bytes) - added by Gedare Bloom on Sep 20, 2011 at 4:08:50 PM.
changelog

Download all attachments as: .zip

Change History (4)

Changed on Sep 20, 2011 at 4:08:20 PM by Gedare Bloom

Attachment: sparc64-memory.diff added

Fix BSP to support more than 4 MB of RAM.

Changed on Sep 20, 2011 at 4:08:50 PM by Gedare Bloom

Attachment: sparc64-memory.ChangeLog added

changelog

comment:1 Changed on Oct 6, 2011 at 3:47:11 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Committed. Thanks.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.